﻿var sel = app.activeDocument.selection[0];

if ((sel.constructor.name == "Cell" ) || (sel.constructor.name == "Table")) {
	var clist = "";
	for(i=0; i<app.activeDocument.swatches.length; i++) {
		clist = clist + app.activeDocument.swatches[i].name + ",";
		}
	clist = clist.replace ("Registration,", "")
	clist = clist.substring (0, clist.length-1)
	clist = clist.split (",")
	dlg = app.dialogs.add({name:"セルを交互に色付け"});
	dlc = dlg.dialogColumns.add();
	with(myRowA = dlc.dialogRows.add()){
		staticTexts.add({staticLabel:"1行目色"});
		selcolorA = dropdowns.add({stringList: clist, selectedIndex:0});}
         selTintA = myRowA.percentEditboxes.add({editValue:100,minimumValue:0,maximumValue:100});
	with(myRowB = dlc.dialogRows.add()){
		staticTexts.add({staticLabel:"2行目色"});
		selcolorB = dropdowns.add({stringList: clist, selectedIndex:0});}
         selTintB = myRowB.percentEditboxes.add({editValue:100,minimumValue:0,maximumValue:100});
	flag = dlg.show();

	if (flag == true) {
         myColor = [selcolorA.stringList[selcolorA.selectedIndex], selcolorB.stringList[selcolorB.selectedIndex]];
         myTint = [selTintA.editValue, selTintB.editValue]
         tmpRow = sel.rows[0].index;
         tmpNum = 0;
		for (i = 0; i < sel.cells.length; i++) {
            if (tmpRow != sel.cells[i].parentRow.index) {
                tmpNum = (tmpNum + 1) % 2;
                tmpRow++;
                }
            sel.cells[i].fillColor = app.activeDocument.swatches.item(myColor[tmpNum]);
            sel.cells[i].fillTint = myTint[tmpNum];
            }
		}
	}