﻿var sel = app.activeDocument.selection[0];

if ((sel.constructor.name == "Cell" ) || (sel.constructor.name == "Table")) {
	var clist = "";
	for(i=0; i<app.activeDocument.swatches.length; i++) {
		clist = clist + app.activeDocument.swatches[i].name + ",";
		}
	clist = clist.replace ("Registration,", "")
	clist = clist.substring (0, clist.length-1)
	clist = clist.split (",")
	dlg = app.dialogs.add({name:"セルを交互に色付け"});
	dlc = dlg.dialogColumns.add();
	with(myRowA = dlc.dialogRows.add()){
		staticTexts.add({staticLabel:"1行目色"});
		selcolorA = dropdowns.add({stringList: clist, selectedIndex:0});}
         selTintA = myRowA.percentEditboxes.add({editValue:100,minimumValue:0,maximumValue:100});
	with(myRowB = dlc.dialogRows.add()){
		staticTexts.add({staticLabel:"2行目色"});
		selcolorB = dropdowns.add({stringList: clist, selectedIndex:0});}
         selTintB = myRowB.percentEditboxes.add({editValue:100,minimumValue:0,maximumValue:100});
	flag = dlg.show();

	if (flag == true) {
		colorA = selcolorA.stringList[selcolorA.selectedIndex];
         colorB = selcolorB.stringList[selcolorB.selectedIndex];
         tintA = selTintA.editValue;
         tintB = selTintB.editValue;
		for (i = 0; i < sel.cells.length; i+=2) {
            try {
				sel.cells[i].fillColor = app.activeDocument.swatches.item(colorA);
                  sel.cells[i].fillTint = tintA;
				sel.cells[i+1].fillColor = app.activeDocument.swatches.item(colorB);
                  sel.cells[i+1].fillTint = tintB;
                } catch(e) {
                    exit();
                    }
			}
		}
	}